import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, StyleSheet, FlatList } from "react-native";
import { Col, Grid, Row } from "react-native-easy-grid";
import CheckBox from "@react-native-community/checkbox";
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import { KeyboardAwareScrollView } from 'react-native-keyboard-aware-scroll-view';
import { colors } from '../assets/styles/colors-theme';
import { width, height } from '../services/screen'
import FastImage from 'react-native-fast-image'
const CategoryList = inject("appStore")(observer(class CategoryList extends React.Component {

    constructor(props) {
        super(props);
        this.store = props.appStore
    }


    render() {

        return (
            <FlatList
                style={{
                    height: 40,
                    marginTop: 10,
                    marginBottom: 10,
                }}
                data={this.props.data}
                horizontal={true}
                keyExtractor={(item) => item.name}

                ListHeaderComponent={() => {
                    return <View style={{ width: 18, height: "100%" }} />;
                }}
                renderItem={({ item, index, separators }) => {
                    return (
                        <TouchableOpacity
                            style={{ flex: 1 }}
                            onPress={() => {
                                this.store.goToSubCatPage(item.categoryId, item.name, this.props.self)
                            }}
                        >
                            <View
                                style={{
                                    height: "100%",

                                    // width: 75,
                                    // borderTopLeftRadius: 6,
                                    // borderTopRightRadius: 6,
                                    // borderBottomLeftRadius: 6,
                                    // borderBottomRightRadius: 6,
                                    alignItems: "center",
                                    backgroundColor: colors.BORDER_PINK

                                }}
                            >
                                {/* <FastImage
                                    // source={{ uri: item?.images?.[0]?.src }}
                                    source={{ uri: this.store.uriLink + item.categoryImage }}
                                    style={{ width: 70, height: 70, resizeMode: "cover", borderRadius: 18, borderColor: colors.BORDER_PINK, borderWidth: 1 }}
                                /> */}
                                <Text
                                    style={{
                                        marginTop: 10,
                                        fontSize: 14,
                                        marginLeft: 10,
                                        marginRight: 10,
                                        fontFamily: "Avenir",
                                        textAlign: "center",
                                        color: 'white'
                                    }}
                                    numberOfLines={2}
                                >
                                    {item.name}
                                </Text>
                            </View>
                        </TouchableOpacity>
                    );
                }}
                ItemSeparatorComponent={() => {
                    return <View style={{ width: 15, height: "100%" }} />;
                }}
                ListFooterComponent={() => {
                    return <View style={{ width: 18, height: "100%" }} />;
                }}
            />
        );
    }
}))




export default CategoryList