import React from 'react';
import { SafeAreaView, Text, Image, Alert, Linking, TouchableOpacity, StyleSheet, View, TextInput, Platform } from 'react-native';
import { colors } from '../../assets/styles/colors-theme';
import AsyncStorage from '@react-native-community/async-storage';
import { width, height } from '../services/screen';
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import { images } from '../assets/images/index';
import FastImage from 'react-native-fast-image'

const FavouriteButton = inject("appStore")(observer(class FavouriteButton extends React.Component {

    constructor(props) {
        super(props);
        this.store = props.appStore;
        makeObservable(this, {

        });
    }

    clickAction() {
        this.store.addOrRemoveFavourite(this.props.data.productId)
        if (this.props.fav) {
            this.props.self.itemList.splice(this.props.self.itemList.findIndex(e => e.productId == this.props.data.productId), 1)
        }
    }


    render() {
        return (
            <TouchableOpacity style={{ resizeMode: "contain", position: "absolute", bottom: 0, right: 0 }}
                onPress={() => { this.clickAction() }}>
                <Image
                    source={this.props.data.favourite ? images.ICON_FAV_FILLED : images.ICON_FAV}
                    style={{ width: 20, height: 20, }}
                />
            </TouchableOpacity>
        )
    }
}))


const styles = StyleSheet.flatten({
    home: {
        marginBottom: 15,
    },
    home_rectanglecd25b34b: {
        opacity: 1,
        flex: 1,
        paddingVertical: 10,
        marginTop: 50,
    },
})
export default FavouriteButton