import React from 'react';
import { SafeAreaView, Text, Image, Alert, Linking, TouchableOpacity, StyleSheet, View, TextInput, Platform } from 'react-native';
import { colors } from '../../assets/styles/colors-theme';
import AsyncStorage from '@react-native-community/async-storage';
import { width, height } from '../services/screen';
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import { images } from '../assets/images/index';
import FastImage from 'react-native-fast-image'
import Icon from 'react-native-vector-icons/dist/AntDesign';
Icon.loadFont();

const TitleBar = inject("appStore")(observer(class TitleBar extends React.Component {

    constructor(props) {
        super(props);
        this.store = props.appStore;
        makeObservable(this, {

        });
    }

    render() {
        return (
            <View style={{ width: width, height: 50, justifyContent: 'center', alignItems: 'center', flexDirection: 'row' }}>

                <Text
                    numberOfLines={1}
                    style={{
                        width: width / 1.5,
                        textAlign: "center",
                        color: "black",
                        fontSize: 18,
                        fontWeight: this.props.bold ? '800' : '100',
                        fontStyle: "normal",
                        fontFamily: "Avenir",
                    }}
                >
                    {this.props.title}
                </Text>
                {this.props.hideBack ? (
                    <View />
                ) : (<TouchableOpacity style={{ position: 'absolute', left: 20 }} onPress={() => { this.props.self.props.navigation.goBack() }}>
                    <Icon name='arrowleft' size={20} />
                </TouchableOpacity>)


                }
            </View>
        )
    }
}))


const styles = StyleSheet.flatten({
    home: {
        marginBottom: 15,
    },
    home_rectanglecd25b34b: {
        opacity: 1,
        flex: 1,
        paddingVertical: 10,
        marginTop: 50,
    },
})
export default TitleBar