import React from 'react';
import { SafeAreaView, Text, Image, Alert, Linking, TouchableOpacity, StyleSheet, View, TextInput, Platform, ScrollView } from 'react-native';
import { colors } from '../../assets/styles/colors-theme';
import AsyncStorage from '@react-native-community/async-storage';
import { width, height } from '../services/screen';
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import { images } from '../assets/images/index';
import FastImage from 'react-native-fast-image'
import { getStatusBarHeight } from 'react-native-status-bar-height';
const TopBar = inject("appStore")(observer(class TopBar extends React.Component {
    search = ''
    constructor(props) {
        super(props);
        this.store = props.appStore;
        makeObservable(this, {
            search: observable
        });
    }

    searchAction() {
        if (this.search != '') {
            this.store.searchItems(this.search, this.props.self)
        }
    }
    socialMediaAction(which) {
        var link = ''
        switch (which) {
            case 'ig':
                link = 'https://www.instagram.com/annchoi.yeanaan/?hl=en'
                break;
            case 'whatsapp':
                link = 'https://wa.me/85297913649'
                break;
            case 'youtube':
                link = 'https://www.youtube.com/channel/UCrLNAKAKz6qmztJ6hz1tJGQ'
                break;
            case 'facebook':
                link = 'https://www.facebook.com/annchoishop'
                break;
            case 'annchoi':
                link = 'https://annchoi.com/'
                break;
            case 'dark7':
                link = 'https://www.facebook.com/DarkSevenLimited'
                break;
            case 'mewe':
                link = 'https://mewe.com/i/annchoiyeanaan'
                break;

            default:
                break;
        }
        this.openLink(link);
    }

    openLink(link) {
        Linking.canOpenURL(link).then(supported => {
            if (supported) {
                Linking.openURL(link);
            } else {
                console.log(
                    "Don't know how to open URI: " + response.data.wechat.qr_code_url,
                );
            }
        });
    }

    renderSocialMediaButton() {
        var images = [{ id: 'ig', photo: require('../assets/images/ICON_INSTAGRAM.png') }, { id: 'whatsapp', photo: require('../assets/images/whatsapp.png') },
        { id: 'youtube', photo: require('../assets/images/youtube.png') }, { id: 'facebook', photo: require('../assets/images/ICON_FACEBOOK.png') },
        { id: 'annchoi', photo: require('../assets/images/annchoi.png') }, { id: 'dark7', photo: require('../assets/images/dark7.png') },
        { id: 'mewe', photo: require('../assets/images/ICON_MEWE.png') }]

        return images.map((item, index) => {
            return (
                <TouchableOpacity style={{ marginLeft: 5 }}
                    onPress={() => this.socialMediaAction(item.id)}>
                    <Image style={{ height: "100%", resizeMode: "contain" }} source={item.photo} />
                </TouchableOpacity >
            )
        })
    }

    render() {
        return (
            <View style={styles.home}>
                <FastImage
                    style={{
                        resizeMode: 'contain',
                        width: width,
                        position: 'absolute',
                        height: Platform.OS === 'ios' ? 80 : 80,
                        borderBottomLeftRadius: 20,
                        borderBottomRightRadius: 20,
                    }}
                    source={images.BG_TOP_BAR}
                />
                <View style={{ flexDirection: "row", marginTop: 45, height: 22, width: width, paddingHorizontal: 12 }}>
                    <TouchableOpacity onPress={() => this.searchAction()}>
                        <Image style={{ aspectRatio: 1, width: 22, resizeMode: "contain" }} source={images.ICON_SEARCH} />
                    </TouchableOpacity>
                    <TextInput style={{
                        backgroundColor: "white", width: 150, height: "100%", borderRadius: 4, marginLeft: 4, marginBottom: Platform.OS === 'ios' ? 3 : 0,
                        paddingVertical: 0, marginRight: 20,
                    }}
                        value={this.search}
                        onChangeText={text => { this.search = text }} />
                    <View style={{ flexGrow: 1 }} />
                    <ScrollView horizontal={true}>
                        {this.renderSocialMediaButton()}
                        {/* <Image style={{ height: "100%", resizeMode: "contain", marginLeft: 5 }} source={images.ICON_FACEBOOK} />
                        <Image style={{ height: "100%", resizeMode: "contain", marginLeft: 5 }} source={images.ICON_INSTAGRAM} />
                        <Image style={{ height: "100%", resizeMode: "contain", marginLeft: 5 }} source={images.ICON_WHATSAPP} />
                        <Image style={{ height: "100%", resizeMode: "contain", marginLeft: 5 }} source={images.ICON_MEWE} /> */}

                    </ScrollView>
                </View>

            </View >
        )
    }
}))


const styles = StyleSheet.flatten({
    home: {
        marginBottom: 15,
        marginTop: Platform.OS === 'ios' ? 0 : getStatusBarHeight(),
    },
    home_rectanglecd25b34b: {
        opacity: 1,
        flex: 1,
        paddingVertical: 10,
        marginTop: 50,
    },
})
export default TopBar