import React, { Component } from "react";
import { FlatList, Image, ScrollView, StyleSheet, Text, View, TouchableOpacity } from "react-native";
import { Col, Grid, Row } from "react-native-easy-grid";
import Carousel, { Pagination } from "react-native-snap-carousel";
import Loading from '../../components/Loading';
import { width, height } from '../../services/screen'
import { images } from "../../assets/images/index";
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import TopBar from '../../components/topBar'
import FastImage from 'react-native-fast-image'
import TitleBar from '../../components/titleBar'
import { colors } from '../../assets/styles/colors-theme';
import I18n from '../../services/i18n'

const Category = inject("appStore")(observer(class Category extends React.Component {


    constructor(props) {
        super(props);
        this.store = props.appStore
    }

    render() {
        return (
            <View style={{ flex: 1, backgroundColor: colors.MAIN }}>
                <Loading loading={this.store.loading} />
                <TopBar self={this} />
                <TitleBar title={I18n.t('homeByCategories')} self={this} />

                <FlatList
                    style={{

                        marginTop: 15,
                        // paddingHorizontal: 20,
                        width: "100%",
                    }}
                    data={
                        this.store.category
                    }
                    keyExtractor={(item) => item ?.name.toString()}
                    // onEndReachedThreshold={0.01}
                    // onEndReached={(info) => {
                    //   this.pageNum++;
                    //   this.getServerData(this.props, false);
                    // }}
                    ListHeaderComponent={() => {
                        return <View style={{ width: "100%", height: 8 }} />;
                    }}
                    renderItem={({ item, index, separators }) => {
                        return (
                            // <View style={{ height: 80, width: "100%", paddingHorizontal: 20 }}>
                            //     <TouchableOpacity
                            //         style={{ flex: 1 }}
                            //         onPress={() => {
                            //             this.store.goToSubCatPage(item.categoryId, item.name, this)
                            //         }}
                            //     >
                            //         <>
                            //             <FastImage
                            //                 source={{ uri: this.store.uriLink + item.categoryImage }}
                            //                 style={{
                            //                     resizeMode: "cover",
                            //                     flex: 1,
                            //                     width: undefined,
                            //                     height: undefined,
                            //                     borderRadius: 10,
                            //                     borderColor: colors.BORDER_PINK,
                            //                     borderWidth: 1,
                            //                 }}
                            //             />
                            //             <Text
                            //                 style={{
                            //                     marginTop: 10,
                            //                     fontSize: 14,
                            //                     fontFamily: "Avenir",
                            //                     textAlign: "center",
                            //                     position: "absolute",
                            //                     bottom: 10,
                            //                     right: 10,
                            //                     color: "white",
                            //                 }}
                            //             >
                            //                 {item ?.name}
                            //             </Text>
                            //         </>
                            //     </TouchableOpacity>
                            // </View>
                            <TouchableOpacity style={{ width: width - 40, marginHorizontal: 20, backgroundColor: colors.BORDER_PINK, justifyContent: 'center', }}

                                onPress={() => {
                                    this.store.goToSubCatPage(item.categoryId, item.name, this)
                                }}
                            >


                                <Text
                                    style={{
                                        width: width / 1.3,
                                        fontSize: 20,
                                        marginVertical: 20,
                                        // fontFamily: "Avenir",
                                        marginLeft: 20,
                                        fontWeight: '800',
                                        color: "white",
                                    }}
                                >
                                    {item ?.name}
                                </Text>


                            </TouchableOpacity>
                        );
                    }}
                    ItemSeparatorComponent={() => {
                        return <View style={{ width: "100%", height: 4 }} />;
                    }}
                    ListFooterComponent={() => {
                        return <View style={{ width: "100%", height: 18 }} />;
                    }}
                />

            </View>
        );
    }
}))

const styles = StyleSheet.create({
    home_categories: {
        opacity: 1,
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "700",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        marginLeft: 5,
    },
    home_featuredProducts08bda267: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 30,
        // left: 30,
        // top: 623,
    },
    home_featuredProducts: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 30,
        // left: 30,
        // top: 885,
    },
    home_searchByBrand: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 30,
        // left: 30,
        // top: 1158.5,
    },
    home_buttonslinkWithIcon: {
        // opacity: 1,
        // position: "absolute",
        // backgroundColor: "red",
        // width: width - 30 * 2,
        // height: 20,
        // right: 30,
        // top: 144,
    },
    home_buttonslinkWithIcon_iconDoubleArrows83935e91: {
        opacity: 1,
        width: 8,
        height: 7.67,
    },
    home_buttonslinkWithIcon_seeAlld83980af: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "black",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "right",

        // width: 55,

        // right: 10,
        // // top: -0.5,
        marginRight: 10,
    },
    home_topDeals: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 79,
        height: 30,
        // left: 30,
        // top: 380,
    },
    home_buttonslinkWithIconCopyf5ad68d1: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 20,
        right: 30,
        // top: 381.5,
    },
    home_buttonslinkWithIconCopyf5ad68d1_iconDoubleArrowsdc40b115: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 8,
        height: 7.67,
        right: 0,
        // top: 6,
    },
    home_buttonslinkWithIconCopyf5ad68d1_seeAll1c0939e0: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(160, 87, 48, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "right",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 55,
        height: 26,
        right: 10,
        // // top: -0.5,
    },
    home_path55aad487: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 17,
        height: 157,
        // left: 359,
        // top: 422,
    },
    home_product29b03852: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 42,
        height: 26,
        // left: 72.5,
        // top: 342.5,
    },
    home_product12c9a4ce: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 70,
        height: 26,
        // left: 208.5,
        // top: 342.5,
    },
    home_product69c9f0e8: {
        opacity: 1,
        // // position: "absolute",
        // backgroundColor: "rgba(255, 255, 55, 1)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        // textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 42,

        // // left: 364.5,
        // // top: 342.5,
    },
    home_price0f40fa4b: {
        opacity: 1,
        // // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
    },
    home_product80938ed2: {
        color: "rgba(39, 40, 51, 1)",
        fontSize: 13,
        fontWeight: "bold",
        fontFamily: "Avenir",
    },
    home_product80938ed3: {
        color: "rgba(39, 40, 51, 1)",
        fontSize: 12,
        fontFamily: "Avenir",
    },
    home_price2b46c4b5: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 58,
        height: 29,
        // left: 155.5,
        // top: 848.5,
    },
    home_productf9be3ac6: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 72,
        height: 25,
        // left: 148.5,
        // top: 820.5,
    },
    home_price4f4dec9f: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 58,
        height: 29,
        // left: 305.5,
        // top: 848.5,
    },
    home_product187b03a5: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 70,
        height: 25,
        // left: 299.5,
        // top: 820.5,
    },
    home_product2a9f6f2a: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 106,
        height: 25,
        // left: 300,
        // top: 1311.5,
    },
    home_product94ec47bb: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 52,
        height: 25,
        // left: 193,
        // top: 1311.5,
    },
    home_product8889d9bc: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 102,
        height: 25,
        // left: 27,
        // top: 1311.5,
    },
    home_group2110: {
        opacity: 1,
        backgroundColor: "transparent",
        width: width - 40,
        height: 160,
    },
    home_group2110_rectangle: {
        opacity: 1,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: "100%",
        height: 159,
    },
    home_group2110_rolexOysterPerpetu: {
        opacity: 1,
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(255, 255, 255, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
    },
    home_group2110_xc13931ad: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(255, 255, 255, 1)",
        fontSize: 24,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // height: 35,
        // top: 112,
    },
    home_group2110_x39MmOystersteel: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(255, 255, 255, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // top: 51,
    },
    home_buttonslinkWithIconCopy871b9042: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 20,
        right: 30,
        // top: 624.5,
    },
    home_buttonslinkWithIconCopy871b9042_iconDoubleArrowsf0d3c625: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 8,
        height: 7.67,
        right: 0,
        // top: 6,
    },
    home_buttonslinkWithIconCopy871b9042_seeAll1aaf54be: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(160, 87, 48, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "right",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 55,
        height: 26,
        right: 10,
        // // top: -0.5,
    },
    home_buttonslinkWithIconCopy95708fc7: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 20,
        right: 30,
        // top: 890.5,
    },
    home_buttonslinkWithIconCopy95708fc7_iconDoubleArrows38e46ac5: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 8,
        height: 7.67,
        right: 0,
        // top: 6,
    },
    home_buttonslinkWithIconCopy95708fc7_seeAllec46a8ec: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(160, 87, 48, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "right",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 55,
        height: 26,
        right: 10,
        // // top: -0.5,
    },
    home_buttonslinkWithIconCopy: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 30 * 2,
        height: 20,
        right: 30,
        // top: 1157.5,
    },
    home_buttonslinkWithIconCopy_iconDoubleArrows: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 8,
        height: 7.67,
        right: 0,
        // top: 6,
    },
    home_buttonslinkWithIconCopy_seeAll: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(160, 87, 48, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "right",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        // width: 55,
        height: 26,
        right: 10,
        // // top: -0.5,
    },
    home_x065487360935e43197e62615828b8010: {
        // opacity: 1,
        // // position: "absolute",
        // width: 142,
        // height: 141,
        // // left: 23,
        // // top: 192,
    },
    home_x20c225103603336dfc689edba2dd0630: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 173,
        // top: 192,
    },
    home_a1bf0085e01e46305564cf1b902b5089: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 323,
        // top: 192,
    },
    home_d6c39c29c8644128ab52b8784728b0c0: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: -32,
        // top: 664,
    },
    home_x780a849dd94f3ecf3e57e3d4698b09e8: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 116,
        height: 115,
        // left: 13,
        // top: 1190,
    },
    home_eb2f1bac2db972eae2a5176d9e026d3b: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 116,
        height: 115,
        // left: 162,
        // top: 1190,
    },
    home_d4c65b97d8f60bc5f3ae3ebfc830299d: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 116,
        height: 115,
        // left: 311,
        // top: 1190,
    },
    home_group2131: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 440,
        height: 199,
        // left: -17,
        // top: 927,
    },
    home_group2131_price50baf9b6: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 58,
        height: 29,
        // left: 44.5,
        // top: 174.5,
    },
    home_group2131_productdd159eda: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 80,
        height: 25,
        // left: 33.5,
        // top: 146.5,
    },
    home_group2131_price090098e8: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 58,
        height: 29,
        // left: 190.5,
        // top: 174.5,
    },
    home_group2131_product9608bbc5: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 80,
        height: 25,
        // left: 179.5,
        // top: 146.5,
    },
    home_group2131_price: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 20,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 22,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 58,
        height: 29,
        // left: 336.5,
        // top: 174.5,
    },
    home_group2131_product: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",

        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 84,
        height: 25,
        // left: 323.5,
        // top: 146.5,
    },
    home_group2131_x67fca42d648431f32fc0265008000ff3: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
    },
    home_group2131_x34673b6ed8243a8bbd66e4fc7a710df9: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 149,
    },
    home_group2131_x779811a16a9d30270ff1125c97ceefaf: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 298,
    },
    home_dd51c99a0eee66333aa7b8cbc870993e: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 117,
        // top: 664,
    },
    home_x67b3c282d5a33482c558818d78a2da8c: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: 142,
        height: 141,
        // left: 266,
        // top: 664,
    },

    homeFirstTimeLoginIn_modalalert: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 28 * 2,
        height: 64,
        // left: 28,
        // top: 120,
    },
    homeFirstTimeLoginIn_modalalert_rectangle: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 1)",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        borderTopWidth: 1,
        borderTopColor: "rgba(0, 0, 0, 0)",
        borderRightWidth: 1,
        borderRightColor: "rgba(0, 0, 0, 0)",
        borderBottomWidth: 1,
        borderBottomColor: "rgba(0, 0, 0, 0)",
        borderLeftWidth: 1,
        borderLeftColor: "rgba(0, 0, 0, 0)",
        borderTopLeftRadius: 8,
        borderTopRightRadius: 8,
        borderBottomLeftRadius: 8,
        borderBottomRightRadius: 8,
        shadowColor: "rgb(0,  0,  0)",
        shadowOpacity: 0.07058823529411765,
        shadowOffset: {
            width: 0,
            height: 7,
        },
        shadowRadius: 64,
        width: width - 28 * 2,
        height: 63,
        // // left: -0.5,
        // // top: -0.5,
    },
    homeFirstTimeLoginIn_modalalert_icon2804813a: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 48,
        height: 48,
        // left: 8,
        // top: 8,
    },
    homeFirstTimeLoginIn_modalalert_icon2804813a_frame: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(160, 87, 48, 1)",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        borderTopWidth: 1,
        borderTopColor: "rgba(0, 0, 0, 0)",
        borderRightWidth: 1,
        borderRightColor: "rgba(0, 0, 0, 0)",
        borderBottomWidth: 1,
        borderBottomColor: "rgba(0, 0, 0, 0)",
        borderLeftWidth: 1,
        borderLeftColor: "rgba(0, 0, 0, 0)",
        borderTopLeftRadius: 16,
        borderTopRightRadius: 16,
        borderBottomLeftRadius: 16,
        borderBottomRightRadius: 16,
        width: 48,
        height: 48,
        // // left: -0.5,
        // // top: -0.5,
    },
    homeFirstTimeLoginIn_modalalert_icon2804813a_iconNotification: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 22.5,
        height: 24,
        // left: 13,
        // top: 12,
    },
    homeFirstTimeLoginIn_modalalert_tittle: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 20,

        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 70 - 28 * 2,
        height: 26,
        // left: 70,
        // top: 11.5,
    },
    homeFirstTimeLoginIn_modalalert_time82de2111: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 72 - 28 * 2,
        height: 17,
        // left: 72,
        // top: 35,
    },
    homeFirstTimeLoginIn_modalalert_time82de2111_time: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 12,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "left",
        // lineHeight: 16,
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: width - 72 - 28 * 2,
        height: 21,
        // left: 14.45,
    },
    homeFirstTimeLoginIn_modalalert_time82de2111_icon: {
        opacity: 0.5,
        // position: "absolute",
        backgroundColor: "transparent",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 10.5,
        height: 10,

        // top: 3.5,
    },
    homeFirstTimeLoginIn_modalalert_time82de2111_icon_iconClock: {
        opacity: 1,
        // position: "absolute",
        // marginTop: 0,
        // marginRight: 0,
        // marginBottom: 0,
        // marginLeft: 0,
        // paddingTop: 0,
        // paddingRight: 0,
        // paddingBottom: 0,
        // paddingLeft: 0,
        width: 10.5,
        height: 10,
    },
    homeFirstTimeLoginIn1_group2501_e59c5ae45bbfa3b8ee107e6394e04418: {
        borderTopLeftRadius: 6,
        borderTopRightRadius: 6,
        borderBottomLeftRadius: 6,
        borderBottomRightRadius: 6,
        width: "100%",
        // height: 160,
        aspectRatio: 1,
        resizeMode: "cover",
        marginVertical: 10,
    },
    homeFirstTimeLoginIn1_group2501_producteb7f0ae0: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "600",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",
        height: 26,
    },
    homeFirstTimeLoginIn2_product9bcf8c78: {
        opacity: 1,
        // position: "absolute",
        backgroundColor: "rgba(255, 255, 255, 0)",
        color: "rgba(39, 40, 51, 1)",
        fontSize: 14,
        fontWeight: "100",
        fontStyle: "normal",
        fontFamily: "Avenir",
        textAlign: "center",
    },
    productPageOnesreen_group2122_group2118_photo: {
        opacity: 1,
        width: "100%",
        height: "100%",
        resizeMode: "cover",
        // borderRadius: 10,
    },
    productPageOnesreen_group2122_group2118: {
        width: width,
        height: 135,
        marginTop: 20,
    },
});


export default Category
