import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, TextInput, Keyboard, TouchableWithoutFeedback, Platform } from "react-native";
import CheckBox from "@react-native-community/checkbox";
import { inject, observer } from "mobx-react"
import Loading from '../../components/Loading';
import { observable, makeObservable } from 'mobx'
import Toast, { DURATION } from 'react-native-easy-toast';
import { colors } from '../../assets/styles/colors-theme';
import { width, height } from '../../services/screen'
import TopBar from '../../components/topBar'
import { images } from "../../assets/images/index";
import I18n from '../../services/i18n'
import TitleBar from '../../components/titleBar'
import { WebView } from 'react-native-webview';

const Test = inject("appStore")(observer(class Test extends React.Component {

    email = ''
    constructor(props) {
        super(props);
        this.store = props.appStore
        makeObservable(this, {
            email: observable
        });
    }

    forgotPasswordAction() {
        if (this.email !== '') {
            this.store.forgotPassword(this.email, this)
        } else {
            this.refs.toast.show(I18n.t('pleaseInputYourEmail'));
        }
    }



    render() {

        // const product = this.props.navigator.payloadForScreen?.[this.getScreenName()]?.product;

        const name = I18n.t('forgotPasswordTitle');


        return (
            <TouchableWithoutFeedback onPress={Keyboard.dismiss} accessible={false}>
                <View style={{ flex: 1, backgroundColor: colors.MAIN }}>
                    <WebView
                        source={{ uri: 'https://annchoi.com/yeanaan/' }}

                        ref={WEBVIEW_REF => (this.WebViewRef = WEBVIEW_REF)}
                        startInLoadingState={true}
                        javaScriptEnabled={true}
                        domStorageEnabled={true}
                        onLoadProgress={({ nativeEvent }) => {
                            //your code goes here     
                            console.info(nativeEvent)
                        }}
                        onNavigationStateChange={(state) => {
                            //your code goes here       
                            console.info(state)
                            if (state.url == "https://annchoi.com/yeanaan/hot-items" && state.canGoBack) {
                                this.props.navigation.goBack()
                            }
                        }}
                    />

                </View>

            </TouchableWithoutFeedback>
        );
    }
}))


export default Test
