import React, { Component } from "react";
import { Image as ReactImage, ScrollView, Text, View, TouchableOpacity, TextInput, Platform } from "react-native";
import { Col, Grid, Row } from "react-native-easy-grid";
import { images } from "../../assets/images/index";
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import FastImage from 'react-native-fast-image'
import TopBar from '../../components/topBar'
import Toast, { DURATION } from 'react-native-easy-toast';
import TitleBar from '../../components/titleBar'
var _ = require('lodash');
import { width, height } from '../../services/screen'
import { KeyboardAwareScrollView } from 'react-native-keyboard-aware-scroll-view';
import { colors } from '../../assets/styles/colors-theme';
import { getStatusBarHeight } from 'react-native-status-bar-height';
import I18n from '../../services/i18n'
import Icon from 'react-native-vector-icons/dist/AntDesign';
import GoogleIcon from 'react-native-vector-icons/dist/MaterialCommunityIcons'

import Menu, {
    MenuProvider,
    MenuTrigger,
    MenuOptions,
    MenuOption,
    renderers,
} from 'react-native-popup-menu';
import moment from "moment";
const { SlideInMenu } = renderers;
import CheckBox from "@react-native-community/checkbox";


const OrderConfirmed = inject("appStore")(observer(class OrderConfirmed extends React.Component {

    constructor(props) {
        super(props);
        this.store = props.appStore
        makeObservable(this, {

        });
    }



    render() {

        // const product = this.props.navigator.payloadForScreen?.[this.getScreenName()]?.product;

        const name = I18n.t('confirmOrder');


        return (
            <View style={{ flex: 1, backgroundColor: colors.MAIN, alignItems: 'center', justifyContent: 'center', }}>


                <View style={{ alignItems: "center", justifyContent: 'center', }}>
                    <ReactImage
                        source={images.ICON_CAR}
                        style={{
                            height: 100,
                            resizeMode: "contain",
                            marginTop: 35,
                        }}
                    />
                    <Text style={{ fontSize: 21, fontWeight: "bold", marginTop: 50 }}>{I18n.t('thankyouForYourOrder')}</Text>
                    {/* <Text style={{ fontSize: 21, fontWeight: "bold", marginTop: 10 }}>我們會盡快準備貨品發貨</Text>
                    <Text style={{ fontSize: 18, marginTop: 45 }}>閣下可以查閱電郵或我的帳號以追蹤訂單</Text> */}
                </View>
                <TouchableOpacity
                    style={{ marginHorizontal: 60, }}
                    onPress={() => {
                        this.props.navigation.popToTop()
                    }}
                >
                    <View
                        style={{
                            width: 200,
                            height: 40,
                            marginVertical: 40,
                            borderRadius: 8,
                            justifyContent: "center",
                            alignItems: "center",
                            backgroundColor: colors.BORDER_PINK,
                        }}
                    >
                        <Text style={{ color: "white" }}>{I18n.t('KeepShopping')}</Text>
                    </View>
                </TouchableOpacity>

            </View>
        );
    }
}))
export default OrderConfirmed