import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, TextInput, Keyboard, TouchableWithoutFeedback, Platform, Alert } from "react-native";
import CheckBox from "@react-native-community/checkbox";
import { inject, observer } from "mobx-react"
import { getStatusBarHeight } from 'react-native-status-bar-height';
import Loading from '../../components/Loading';
import { observable, makeObservable } from 'mobx'
import Toast, { DURATION } from 'react-native-easy-toast';
import { colors } from '../../assets/styles/colors-theme';
import { width, height } from '../../services/screen'
import TopBar from '../../components/topBar'
import { images } from "../../assets/images/index";
import Icon from 'react-native-vector-icons/dist/AntDesign';
import I18n from '../../services/i18n'
import TitleBar from '../../components/titleBar'
import { WebView } from 'react-native-webview';

const ShowQrCode = inject("appStore")(observer(class ShowQrCode extends React.Component {


    constructor(props) {
        super(props);
        this.store = props.appStore
        makeObservable(this, {

        });
    }





    render() {

        // const product = this.props.navigator.payloadForScreen?.[this.getScreenName()]?.product;
        var name = I18n.t('getWechatQrcode')
        var qrcode = images.wechatqr
        switch (this.props.route.params.data) {
            case 'alipay':
                name = I18n.t('getAliPayQrcode')
                qrcode = images.alipayqr
                break;
            case 'wechat':
                name = I18n.t('getWechatQrcode')
                qrcode = images.wechatqr
                break;
            case 'payme':
                name = I18n.t('getPayMeQrcode')
                qrcode = images.paymeqr
                break;
        }
        return (
            <TouchableWithoutFeedback onPress={Keyboard.dismiss} accessible={false}>
                <View style={{ flex: 1, backgroundColor: colors.MAIN }}>
                    <View style={{ width: width, height: 50, justifyContent: 'center', alignItems: 'center', flexDirection: 'row', marginTop: Platform.OS === 'ios' ? getStatusBarHeight() : getStatusBarHeight(), }}>

                        <Text
                            numberOfLines={1}
                            style={{
                                width: width / 1.5,
                                textAlign: "center",
                                color: "black",
                                fontSize: 18,
                                fontWeight: this.props.bold ? '800' : '100',
                                fontStyle: "normal",
                                fontFamily: "Avenir",
                            }}
                        >
                            {name}
                        </Text>
                        <TouchableOpacity style={{ position: 'absolute', left: 20 }} onPress={() => { this.props.navigation.goBack() }}>
                            <Icon name='arrowleft' size={20} />
                        </TouchableOpacity>
                    </View>
                    <View style={{ flex: 1, justifyContent: 'center', alignItems: 'center' }}>
                        <Image style={{ width: width, height: height / 2 }} resizeMode = {'contain'} source={qrcode} />
                    </View>


                </View>

            </TouchableWithoutFeedback>
        );
    }
}))


export default ShowQrCode
