import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, TextInput, Keyboard, TouchableWithoutFeedback, Platform, Alert } from "react-native";
import CheckBox from "@react-native-community/checkbox";
import { inject, observer } from "mobx-react"
import { getStatusBarHeight } from 'react-native-status-bar-height';
import Loading from '../../components/Loading';
import { observable, makeObservable } from 'mobx'
import Toast, { DURATION } from 'react-native-easy-toast';
import { colors } from '../../assets/styles/colors-theme';
import { width, height } from '../../services/screen'
import TopBar from '../../components/topBar'
import { images } from "../../assets/images/index";
import Icon from 'react-native-vector-icons/dist/AntDesign';
import I18n from '../../services/i18n'
import TitleBar from '../../components/titleBar'
import { WebView } from 'react-native-webview';

const StripePayment = inject("appStore")(observer(class StripePayment extends React.Component {


    constructor(props) {
        super(props);
        this.store = props.appStore
        makeObservable(this, {

        });
    }





    render() {

        // const product = this.props.navigator.payloadForScreen?.[this.getScreenName()]?.product;
        const stripeData = this.props.route.params.data
        var name = I18n.t('creditCardPayment')
        if (this.props.route.params.which) {
            name = I18n.t('payPalPayment')
        }
        return (
            <TouchableWithoutFeedback onPress={Keyboard.dismiss} accessible={false}>
                <View style={{ flex: 1, backgroundColor: colors.MAIN }}>
                    <View style={{ width: width, height: 50, justifyContent: 'center', alignItems: 'center', flexDirection: 'row', marginTop: Platform.OS === 'ios' ? getStatusBarHeight() : getStatusBarHeight(), }}>

                        <Text
                            numberOfLines={1}
                            style={{
                                width: width / 1.5,
                                textAlign: "center",
                                color: "black",
                                fontSize: 18,
                                fontWeight: this.props.bold ? '800' : '100',
                                fontStyle: "normal",
                                fontFamily: "Avenir",
                            }}
                        >
                            {name}
                        </Text>
                        <TouchableOpacity style={{ position: 'absolute', left: 20 }} onPress={() => { this.props.navigation.goBack() }}>
                            <Icon name='arrowleft' size={20} />
                        </TouchableOpacity>
                    </View>
                    <WebView
                        source={{ uri: stripeData.checkoutUrl }}

                        ref={WEBVIEW_REF => (this.WebViewRef = WEBVIEW_REF)}
                        startInLoadingState={true}
                        javaScriptEnabled={true}
                        domStorageEnabled={true}
                        onLoadProgress={({ nativeEvent }) => {
                            //your code goes here     
                            console.info(nativeEvent)
                        }}
                        onNavigationStateChange={(state) => {
                            //your code goes here       
                            console.info(state)
                            if (state.url == stripeData.success_url && state.canGoBack) {
                                this.store.finishPayment()
                                this.props.navigation.replace('OrderConfirmed')
                            } else if (state.url == stripeData.cancel_url && state.canGoBack) {
                                Alert.alert('', 'Payment Failed', [{ text: 'OK', onPress: () => this.props.navigation.goBack() }],
                                    { cancelable: false })
                            } else if (this.props.route.params.which) {
                                if (state.url == stripeData.fail_url && state.canGoBack) {
                                    Alert.alert('', 'Payment Failed', [{ text: 'OK', onPress: () => this.props.navigation.goBack() }],
                                        { cancelable: false })
                                }
                            }
                        }}
                    />

                </View>

            </TouchableWithoutFeedback>
        );
    }
}))


export default StripePayment
