import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, StyleSheet } from "react-native";
import { Col, Grid, Row } from "react-native-easy-grid";
import { images } from "../../assets/images/index";
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import TitleBar from '../../components/titleBar'
import TopBar from '../../components/topBar'
import { colors } from '../../assets/styles/colors-theme';
import I18n from '../../services/i18n'

const MyWallet = inject("appStore")(observer(class MyWallet extends React.Component {

	constructor(props) {
		super(props);
	}


	render() {


		const name = "我的錢包";

		return (
			<View style={{ flex: 1, backgroundColor: colors.MAIN }}>
				<TopBar />
				<TitleBar title={name} hideBack={true} bold={true} />
				<ScrollView ref="_scrollView" nestedScrollEnabled={true}>

					{[1, 2, 3].map(() => {
						return (
							<View style={{ marginHorizontal: 40, marginTop: 10, marginBottom: 10 }}>
								<View
									style={{
										flex: 1,
										height: 180,
										borderColor: colors.BORDER_PINK,
										borderWidth: 1,
										borderRadius: 20,
										backgroundColor: "white",
									}}
								>
									<Text style={{ fontSize: 25, marginLeft: 20, marginTop: 15 }}>VISA</Text>
									<View style={{ position: "absolute", left: 20, bottom: 20 }}>
										<Text style={{}}>Chan Dai Ming</Text>
										<Text style={{ marginTop: 5 }}>**** **** **** 1234</Text>
										<Text style={{ marginTop: 5 }}>01/25</Text>
									</View>

									<View style={{ position: "absolute", right: 20, bottom: 20 }}>
										<Text>HSBC</Text>
									</View>
									<TouchableOpacity
										style={{ position: "absolute", right: 15, top: 15 }}
										onPress={() => {
											this.props.navigateTo({ screen: "registrationCompleted" });
										}}
									>
										<View
											style={{
												width: 50,
												height: 25,
												borderRadius: 8,
												justifyContent: "center",
												alignItems: "center",
												backgroundColor: colors.BORDER_PINK,
											}}
										>
											<Text style={{ color: "white", fontSize: 14 }}>{I18n.t('modify')}</Text>
										</View>
									</TouchableOpacity>
								</View>
							</View>
						);
					})}
				</ScrollView>
			</View>
		);
	}
}))



export default MyWallet
