import React, { Component } from "react";
import { Image, ScrollView, Text, View, TouchableOpacity, StyleSheet } from "react-native";
import { Col, Grid, Row } from "react-native-easy-grid";
import CheckBox from "@react-native-community/checkbox";
import { inject, observer } from "mobx-react"
import { observable, makeObservable } from 'mobx'
import { KeyboardAwareScrollView } from 'react-native-keyboard-aware-scroll-view';
import { colors } from '../../assets/styles/colors-theme';
import { width, height } from '../../services/screen'
import TopBar from '../../components/topBar'
import { images } from "../../assets/images/index";
import I18n from '../../services/i18n'
import TitleBar from '../../components/titleBar'
const SignupSuccess = inject("appStore")(observer(class SignupSuccess extends React.Component {
    getScreenName() {
        return "registrationCompleted";
    }

    constructor(props) {
        super(props);

        this.state = { activeSlide: 0 };
    }

    onMounted() {
        const product = this.props.navigator.payloadForScreen ?.[this.getScreenName()] ?.product;

        // this.props.getComment_Request({ productId: product?.id, pageValue: 1 });
    }

    onShowing({ nextProps }) { }

    render() {
        const { activeSlide } = this.state;

        // const product = this.props.navigator.payloadForScreen?.[this.getScreenName()]?.product;

        const name = I18n.t('Completed');

        return (
            <View style={{ flex: 1, backgroundColor: colors.MAIN }}>
                <TopBar self={this} />
                <TitleBar title={name} hideBack={true} />
                <ScrollView ref="_scrollView" nestedScrollEnabled={true} style={{ marginHorizontal: 0 }}>

                    <View style={{ flex: 1, alignItems: "center", marginVertical: 50, marginHorizontal: 30 }}>
                        {/* <Text style={{ fontSize: 18, marginTop: 40 }}>{"感謝你的支持"}</Text>
                        <Text style={{ fontSize: 18, marginTop: 5 }}>{"你已完成註冊"}</Text> */}
                        <Text style={{ fontSize: 18, marginTop: 5, textAlign: 'center', }} > {I18n.t('signupSuccessCheckEmail')}</Text>
                    </View>
                    <TouchableOpacity
                        style={{ marginHorizontal: 40 }}
                        onPress={() => {
                            this.props.navigation.navigate('BottomTabScreen')
                        }}
                    >
                        <View
                            style={{
                                width: "100%",
                                height: 40,
                                marginVertical: 30,
                                borderRadius: 8,
                                justifyContent: "center",
                                alignItems: "center",
                                backgroundColor: colors.BORDER_PINK,
                            }}
                        >
                            <Text style={{ color: "white", fontWeight: '800' }}>{I18n.t('back')}</Text>
                        </View>
                    </TouchableOpacity>
                </ScrollView>
            </View>
        );
    }
}))

const styles = StyleSheet.create({
    home_product80938ed2: {
        color: "rgba(39, 40, 51, 1)",
        fontSize: 13,
        fontWeight: "bold",
        fontFamily: "Avenir",
    },
    home_product80938ed3: {
        color: "rgba(39, 40, 51, 1)",
        fontSize: 12,
        fontFamily: "Avenir",
    },
});


export default SignupSuccess