import React from 'react';
import { SafeAreaView, Text, Image, Alert, Linking, TouchableOpacity, View, FlatList, ScrollView, Dimensions } from 'react-native';
import { colors } from '../../assets/styles/colors-theme';
import AsyncStorage from '@react-native-community/async-storage';
import { inject, observer } from "mobx-react"
import Loading from '../../components/Loading';
import Carousel, { Pagination } from "react-native-snap-carousel";
import { observable, makeObservable } from 'mobx'
import TopBar from '../../components/topBar'
import { images } from "../../assets/images/index";
import LottieView from 'lottie-react-native';

const SplashScreen = inject("appStore")(observer(class SplashScreen extends React.Component {
  test = 'Testing'
  constructor(props) {
    super(props);
    this.store = props.appStore;
    makeObservable(this, {
      test: observable,
    });
  }

  async componentDidMount() {
    await this.performTimeConsumingTask();
  }

  performTimeConsumingTask = async () => {
    return new Promise(resolve =>
      setTimeout(async () => {
        resolve('result');
        await this.store.languageInit()
        this.store.appInit()
      }, 1000),
    );
  };






  render() {
    return (
      <View
        style={{
          flex: 1,
          justifyContent: 'center',
          alignItems: 'center',
          backgroundColor: colors.MAIN
        }}>
        <Image
          source={require('../../assets/images/mainicon.png')}
          style={{ width: 150, height: 150, resizeMode: "contain" }}
        />

        <LottieView
          ref={animation => {
            this.animation = animation;
          }}
          colorFilters={[
            {
              keypath: 'Left',
              color: colors.mainColor,
            },
            {
              keypath: 'Center',
              color: colors.mainColor,
            },
            {
              keypath: 'Rigth',
              color: colors.mainColor,
            },
          ]}
          style={{ height: 50, width: 50 }}
          source={require('../../assets/lottie/loading')}
          autoPlay
          loop
        />
      </View>
    );
  }
}))
export default SplashScreen